# Preview
![Preview1](https://cdn.discordapp.com/attachments/958807012349710476/959053070547972156/unknown.png)
![Preview2](https://cdn.discordapp.com/attachments/958807012349710476/959096383883837540/unknown.png)
![Preview3](https://cdn.discordapp.com/attachments/958807012349710476/959097201785729094/unknown.png)

# Info

This mod adds new expansion, custom UI elements, interactable, inventory, survivors and items. 

- The expansion allows players to easily disable and enable the mod with no hassle. It'll be in the character selection, under the Expansions tab.
- The Synergy Cube spawns after you defeat the stage boss. It is the only way to acquire the synergies. Once interacted with it will grant all players the available synergies.
+ The exclusive item inventory was created to prevent cluttering the original, so that only the Synergy items show up on it. 
  - It'll only show up if you have a Synergy item.
  - By default it shows up at all times, but there's a config for enabling it only when you have the scoreboard up.
+ The synergies have two required items, with the exception of two unique synergies.
  - You can set which items are used for the synergy and also the amount of items required for the synergy.
- Survivors added by the items can be selected on character select by enabling it in the respective item's config entry.
- There two new commands that can be used. I added them to help me debug things faster, but you can cheat if you want. Can also be useful if something goes wrong and the interactable doesn't spawn.
  - Commands: spawn_synergy, give_synergy_all

# Synergies

<details>
  <summary>Synergy List</summary>
  <p>
  
| Icon | Name | ![blank]Synergy ![blank]​​​​​![blank]​​​​​![blank] | Effect |
| ---- | ---- | ------ | ------ |
| ![syn1] | Golden Horseshoe |![item1]![plus]![item2]| Dash forward every 3 seconds while sprinting. |
| ![syn2] | Power Cell |![item3]![plus]![item4]| Add +1 charge of your Special Skill. |
| ![syn3] | Reinvigorating Spore |![item5]![plus]![item6]| While standing still for 1 second, gain +40 armor. |
| ![syn4] | Iridescent Pearl |![item7]![plus]![item8]| All skill cooldowns are reduced by 20%. |
| ![syn5] | Famished Fangs |![item9]![plus]![item10]| Dealing damage heals you for 5% of the damage dealt. |
| ![syn6] | Peace Flag |![item11]![plus]![item12]| Leaving combat heals you for 25 health. |
| ![syn7] | Fungal Pigments |![item6]![plus]![item13]| Healing past full grants you a temporary barrier for up to 25% of your max health. |
| ![syn8] | Adrenaline Shot |![item1]![plus]![item14]| 3% chance to gain Adrenaline for 3 seconds on hit. Adrenaline: Dodge attacks while sprinting. |
| ![syn9] | Serrated Dirk |![item15]![plus]![item16]| Bleeds have their full damage applied instantly with an additional 50% damage. |
| ![syn10] | Soul of a Sacrificed Remnant |![item17]![plus]![item18]| Kills reset equipment cooldown. |
| ![syn11] | Corrupted Perforator |![item19]![plus]![item20]| Every 30 seconds, summon a Malachite Magma Worm with bonus 300% damage, 100% health and 50% size. |
| ![syn12] | KDR-V1 |![item1]![plus]![item12]| Sprinting out of combat grants Charge. Charge: ram an enemy to deal 200% damage. Damage scales with movement speed. |
| ![syn13] | Blazing Boots |![item1]![plus]![item21]| Sprinting leaves a trail of fire that deals 10% DOT. Damage scales with movement speed. |
| ![syn14] | Spiked Shield |![item22]![plus]![item23]| Taking damage while you have a barrier, retaliate for 100% of the damage received. Scales with total barrier percentage. |
| ![syn15] | Molotov |![item24]![plus]![item21]| 5% chance on hit to burn for 10% damage for 5 seconds. |
| ![syn16] | Observer's Relic |![item25]![plus]![item26]| All healing received recharges regenerating shields. |
| ![syn17] | Crystalized Mycelium |![item27]![plus]![item6]| After standing still for 1 second, create a DOT zone on your location for 12 seconds that deals 50% damage. |
| ![syn18] | Lost Tibbers |![item28]![plus]![item29]| 10% chance to resurrect on fatal death. |
| ![syn19] | Arc Reactor |![item30]![plus]![item21]| When a shield breaks, detonate for 150% damage. Enemies hit have their shields broken. |
| ![syn20] | Omar's Wallet |![item31]![plus]![item32]| Dealing damage to enemies that are marked for death, grants gold for up to 10% of the damage dealt. |
| ![syn21] | Pridwen's Shard |![item27]![plus]![item22]| Gain a temporary barrier for each nearby enemy every 1.5 seconds. |
| ![syn22] | War Plans |![item33]![plus]![item34]| Activating your equipment resets all skill cooldowns. |
| ![syn23] | Moon Jellie |![item17]![plus]![item35]| Activating your equipment spawns a Moon Jellie with a random aspect. |
| ![syn24] | M.O.A.B. |![item36]![plus]![item37]| While under the effects of a Warbanner, blast attacks gain +10 radius. |
| ![syn25] | Eye of the Beholder |![item38]![plus]![item39]| Become a Tyrant. |
| ![syn26] | Faded Crown |![blank]​​​​​![item40]| Become King of Nothing. |

[plus]: https://cdn.discordapp.com/attachments/958807012349710476/959063152782364672/plus.png
[blank]: https://cdn.discordapp.com/attachments/958807012349710476/959094451551240242/blank.png

[item1]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/7e/Energy_Drink.png/revision/latest/scale-to-width-down/64?cb=20200129193054
[item2]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/4/4a/Paul%27s_Goat_Hoof.png/revision/latest/scale-to-width-down/64?cb=20210329070130
[item3]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/f3/Backup_Magazine.png/revision/latest/scale-to-width-down/64?cb=20200129193022
[item4]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/2/20/Hardlight_Afterburner.png/revision/latest/scale-to-width-down/64?cb=20200129193107
[item5]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/c6/Cautious_Slug.png/revision/latest/scale-to-width-down/64?cb=20210329070118
[item6]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/3/33/Bustling_Fungus.png/revision/latest/scale-to-width-down/64?cb=20210329070041
[item7]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/73/Pearl.png/revision/latest/scale-to-width-down/64?cb=20200129235340
[item8]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/e/ef/Irradiant_Pearl.png/revision/latest/scale-to-width-down/64?cb=20200129235334
[item9]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/a/a0/Leeching_Seed.png/revision/latest/scale-to-width-down/64?cb=20210329070001
[item10]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/e/e1/Harvester%27s_Scythe.png/revision/latest/scale-to-width-down/64?cb=20200129193108
[item11]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/0/0f/Medkit.png/revision/latest/scale-to-width-down/64?cb=20200129193118
[item12]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/2/2a/Red_Whip.png/revision/latest/scale-to-width-down/64?cb=20200201131611
[item13]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/c5/Topaz_Brooch.png/revision/latest/scale-to-width-down/64?cb=20200129193209
[item14]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/f2/Soldier%27s_Syringe.png/revision/latest/scale-to-width-down/64?cb=20210329065946
[item15]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/1/17/Tri-Tip_Dagger.png/revision/latest/scale-to-width-down/64?cb=20200129193212
[item16]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/cd/Shatterspleen.png/revision/latest/scale-to-width-down/64?cb=20200811165023
[item17]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/c9/Gesture_of_the_Drowned.png/revision/latest/scale-to-width-down/64?cb=20200129193100
[item18]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/f1/Soulbound_Catalyst.png/revision/latest/scale-to-width-down/64?cb=20200129193159
[item19]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/71/Molten_Perforator.png/revision/latest/scale-to-width-down/64?cb=20200811165021
[item20]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/cc/Charged_Perforator.png/revision/latest/scale-to-width-down/64?cb=20210326044120
[item21]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/6/6e/Gasoline.png/revision/latest/scale-to-width-down/64?cb=20200129193059
[item22]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/e/e5/Aegis.png/revision/latest/scale-to-width-down/64?cb=20200129193000
[item23]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/76/Ceremonial_Dagger.png/revision/latest/scale-to-width-down/64?cb=20200129193038
[item24]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/74/Sticky_Bomb.png/revision/latest/scale-to-width-down/64?cb=20200129193204
[item25]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/3/31/Corpsebloom.png/revision/latest/scale-to-width-down/64?cb=20200129193042
[item26]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/8/85/Transcendence.png/revision/latest/scale-to-width-down/64?cb=20200129193211
[item27]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/5/59/Focus_Crystal.png/revision/latest/scale-to-width-down/64?cb=20200129235331
[item28]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/3/39/Tougher_Times.png/revision/latest/scale-to-width-down/64?cb=20200129193210
[item29]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/0/06/Dio%27s_Best_Friend_%28Consumed%29.png/revision/latest/scale-to-width-down/64?cb=20200129193048
[item30]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/e/e0/Personal_Shield_Generator.png/revision/latest/scale-to-width-down/64?cb=20200129193129
[item31]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/9a/Ghor%27s_Tome.png/revision/latest/scale-to-width-down/64?cb=20200129235334
[item32]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/3/34/Death_Mark.png/revision/latest/scale-to-width-down/64?cb=20200331153433
[item33]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/9c/War_Horn.png/revision/latest/scale-to-width-down/64?cb=20200129193217
[item34]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/6/62/Bandolier.png/revision/latest/scale-to-width-down/64?cb=20200129193024
[item35]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/d/de/Squid_Polyp.png/revision/latest/scale-to-width-down/64?cb=20210329071113
[item36]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/f0/Warbanner.png/revision/latest/scale-to-width-down/64?cb=20200306005854
[item37]: https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/ff/Pocket_I.C.B.M..png/revision/latest/scale-to-width-down/64?cb=20220302043224
[item38]: https://cdn.discordapp.com/attachments/958807012349710476/959091404586487848/heresyset.png
[item39]: https://cdn.discordapp.com/attachments/958807012349710476/959093177074221116/voidtier.png
[item40]: https://cdn.discordapp.com/attachments/958807012349710476/959093776519942164/iconx64.png

[syn1]: https://cdn.discordapp.com/attachments/958807012349710476/958807120306905098/horseshoe.png
[syn2]: https://cdn.discordapp.com/attachments/958807012349710476/958807458577534976/POWERCELL.png
[syn3]: https://cdn.discordapp.com/attachments/958807012349710476/958807089290031144/spore.png
[syn4]: https://cdn.discordapp.com/attachments/958807012349710476/958807087926898748/pearl.png
[syn5]: https://cdn.discordapp.com/attachments/958807012349710476/958807119673573386/fangs.png
[syn6]: https://cdn.discordapp.com/attachments/958807012349710476/958807119853916251/flag.png
[syn7]: https://cdn.discordapp.com/attachments/958807012349710476/958807120067821638/fungies.png
[syn8]: https://cdn.discordapp.com/attachments/958807012349710476/958807089512325120/sycringe.png
[syn9]: https://cdn.discordapp.com/attachments/958807012349710476/958807155811713024/dirk.png
[syn10]: https://cdn.discordapp.com/attachments/958807012349710476/958807088551825478/remnant.png
[syn11]: https://cdn.discordapp.com/attachments/958807012349710476/958807154763120640/corrupt.png
[syn12]: https://cdn.discordapp.com/attachments/958807012349710476/958807120868933662/kdr.png
[syn13]: https://cdn.discordapp.com/attachments/958807012349710476/958807154133983232/boots.png
[syn14]: https://cdn.discordapp.com/attachments/958807012349710476/958807089004826665/shield.png
[syn15]: https://cdn.discordapp.com/attachments/958807012349710476/958807121108041768/molotov.png
[syn16]: https://cdn.discordapp.com/attachments/958807012349710476/958807088350507068/relic.png
[syn17]: https://cdn.discordapp.com/attachments/958807012349710476/958807121615544330/mycelium.png
[syn18]: https://cdn.discordapp.com/attachments/958807012349710476/958807153559339129/bear.png
[syn19]: https://cdn.discordapp.com/attachments/958807012349710476/958807088144990208/reactor.png
[syn20]: https://cdn.discordapp.com/attachments/958807012349710476/958807089709453312/wallet.png
[syn21]: https://cdn.discordapp.com/attachments/958807012349710476/958807088753176636/shard.png
[syn22]: https://cdn.discordapp.com/attachments/958807012349710476/958807089910796388/war.png
[syn23]: https://cdn.discordapp.com/attachments/958807012349710476/958807120529211452/jellyfish.png
[syn24]: https://cdn.discordapp.com/attachments/958807012349710476/958807153903284264/bomb.png
[syn25]: https://cdn.discordapp.com/attachments/958807012349710476/958807119459667968/eyeball.png
[syn26]: https://cdn.discordapp.com/attachments/958807012349710476/958807155149004870/crown.png

  </p>
</details>

# Installation

R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Synergies" dll to your plugins folder

3 - Have fun!

# Support Me

If you like my mods and would like to support my work, consider buying me a coffee:

[![kofilogo](https://cdn.discordapp.com/attachments/749076478146117733/939032751762460742/61e11149b3af2ee970bb8ead_Ko-fi_logo-p-250.png)](https://ko-fi.com/dragonskins)

# Special Thanks

- Voidmaster
- FongkeLYJ
- MuugiBoy
- FATisAcrime
- LucaTheSammich
- IAmTheChezz
- EnderGrimm

A lot of these cool item ideas are thanks to them. 

Would like to contribute? Check out the Thread Item Synergy in #showcase

# Changelog

1.1.1

- Added a buff timer to inform when Golden Horseshoe is on CD.

- Golden Horseshoe now activates by pressing a configurable button.

- Fixed Synergy Cube spawning in Bazaar even if the expansion is off.

1.1.0

- Added an instant synergy after a Boss wave ends on Simulacrum.

- Added a Synergy Cube in Bazaar for the cost of 5 coins.

- Synergy Cube now spawns after killing Mithrix.

- Fixed synergy cube idle sound playing after reentering the stage.

1.0.3

- Fixed M.O.A.B.

- Fixed false positive errors while transforming.

- Possible fixes for Cube failing to find nodes to spawn on.

- Fixes for Beholder transform. 

- Synergy Cube no longer spawns after killing Alloy Worship Unit.

- Fixed Synergy Cube not spawning sometimes. Now it'll spawn right on top of the teleporter to prevent it not finding a node to spawn on.

1.0.2

- Temporarily disabled M.O.A.B. while I fix some issues.

1.0.1

- Fixed missing R2API submodule dependency.

1.0.0 

- Release
